0 MKO O APPO O Launcher-widgetd [0 TC-RID: 1201-02053050
2022-09-13 16:56 - CD FW-[ [

Status: 000 InProgress Start date: 2022-09-13
Priority: Normal Due date:
Assignee: CDAPP-0 O % Done: 60%
Category: Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V3.0_20221030
Description
History
#1 - 2022-09-26 17:00 - CD APP-0 O
- Status changed from New to O 00 O Pending
- Target version set to VX1_MCE_FSE_V2.0_20220930
- % Done changed from 0 to 50
000200 0000000000000 O00OPRD
https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf
20UID0000OBleckO DO OUIDODOOODOOUIOOOOODOOODODO
#2 - 2022-10-1020:19- CD FW-0O O
- Target version changed from VX1_MCE_FSE_V2.0_ 20220930 to VX1_MCE_FSE_V3.0_20221030
#3 - 2022-11-27 23:26 - CD APP-0 O
- Status changed from 0 O O Pendingto O O OO0 In Progress
- % Done changed from 50 to 60
#4 - 2022-12-12 23:20 - 10T scm
Gerrit Merge Information(
1D Project Branch Uploader
169455 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | huangpengl216@thundersoft.com
her3 -dev

184b8f7b886014876e9e8ad1f4adc403190a5hba38

FW:Launcher: Replace widgets cell background1. Replace widgets cell backgroundTC-RID: 1201-0205305Issuel D: TS-R-DF-111917Change-I1d:

#5 - 2022-12-15 15:42 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
170244 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | huangpengl216@thundersoft.com
her3 -dev

2025-07-04
https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf

FW:Launcher: Fix some problems with the widget list1. Fix abnormal widget list spacing2. Remove the dynamic addition and removal part to refresh the
logicTC-RID: 1201-0205305IssuelD: TS-R-DF-111917Change-Id: 1e7f5f797cbe07487cc18675fda4803af7eccc1f2

#6 - 2022-12-22 20:31 - CD FW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

148366

general/platform/frameworks/libs/syste

mui

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangwei0629@thundersoft.com

AF:Launcher: Modify Widgets layout dependent files1.New Widgets Ul dependent filesTC-RID: 1201-0205305IssuelD: TS-R-DF-111917Change-Id:
16342120123e7995d525ce9188d5a5d608fa967€9

#7 - 2022-12-22 20:31 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

148426

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

AF:Launcher: Modify Widget Layoutl.Modify Widgets entrance2.Modify Widgets Ul 2 column3.Modify Widgets icon layoutTC-RID: 1201-0205305IssuelD:
TS-R-DF-111917Change-Id: 1a085223bbb69e16d5ca9980d6c5342fe9f4831c9

#8 - 2022-12-22 20:31 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

148427

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

AF:Launcher: Revert Modify Widget Layoutl.Modify Widgets entrance2.Modify Widgets Ul 2 column3.Modify Widgets icon layoutTC-RID:
1201-0205305Issuel D: TS-R-DF-111917Change-1d: 134ca0f4dc54429bb3c80fd1e5e3e49d846fc0180

#9 - 2022-12-22 20:31 - CD Fw-0 O

Gerrit Merge Information(]

2025-07-04
1D

Project

Branch

Uploader

148428

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

ying.wang@thundersoft.com

AF:Launcher: Modify Widgets layout1.Modify Widgets entrance2.Modify Widgets Ul 2 column3.Modify Widgets icon layoutTC-RID: 1201-0205305IssuelD:
TS-R-DF-111917Change-1d: 119e4c7433822c74229df6d9716ad52a372362acd

#10 - 2022-12-22 20:32 - CD FwW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

148477

general/platform/frameworks/libs/syste

mui

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

AF:Launcher: Modify Widgets layout dependent files1.New Widgets Ul dependent filesTC-RID: 1201-02053051ssuelD: TS-R-DF-111917Change-1d:
13e21e38e20faa57b280dfal3280affdbe7ec8cc9

#11 - 2022-12-22 20:33 - CD FwW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

150013

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

jiao.li_a@thundersoft.com

FW:Launcher: Modify widget sizel. Modify widget size2. Click Add Widget, drag the widget back to the desktop, and exit edit modeTC-RID:
1201-0205305Issuel D: TS-R-DF-111917Change-Id: 116a18c92964639085268c95b87a254a24h3ad37¢

#12 - 2022-12-22 20:34 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

150073

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Modify the widget drag shapel.Modify the drag shadow size and alignment in the widgetTC-RID: 1201-0205305IssuelD:
TS-R-DF-111917Change-1d: 1d1529381edc19478137dc63340fafe120fb18ded

2025-07-04
#13 - 2022-12-22 20:35 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

150693

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

huangpeng1216@thundersoft.com

FW:Launcher: Rewrite widget bottom sheet layout logicl.Rewrite widget bottom sheet layout logic2.Fix the bug of opening widget bottom sheet flickeringTC-RID:
1201-0205305IssuelD: TS-R-DF-111917Change-Id: 11f6a18fca61986de7d04c0aab7bd1a29a3374ac9

#14 - 2022-12-22 20:55 - CD FwW-0 O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

165233

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

huangpeng1216@thundersoft.com

FW:Launcher: Add widgets white list logicl. Add widgets white list logicTC-RID: 1201-0205305IssuelD: TS-R-DF-111917Change-Id:
17cd85ch66e5556249c090c844cd12353572c89f

#15 - 2023-07-24 18:05 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

217058

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

hong.wang_a@thundersoft.com

AF:Launcher:add widget text size adapter TC-RID: 1201-0205305Issuel D: TS-R-DF-111917,I0VDEV-37732Change-1d:
labe833bf77a3bd332a9957397¢c13b8h3ef094c06

#16 - 2023-07-25 17:52 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

217457

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:add widget text size adapterTC-RID: 1201-0205305IssuelD: TS-R-DF-111917,10VDEV-37732Change-Id:
1a656316¢e6f37bb3b4alae9d4fobfd21961b2287

#17 - 2023-07-2517:52 - 10T scm

Gerrit Merge Information(]

2025-07-04
1D

Project

Branch

Uploader

217422

general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

hong.wang_a@thundersoft.com

Revert AF:Launcher:add widget text size adapterTC-RID: 1201-02053051ssuelD: TS-R-DF-111917,10VDEV-37732This reverts commit
b76ecbc303d95b2dadbh56a2f0a196ch80e223ee0.Reason for revert: <vcl ui adapter error>Change-1d: 17827a2eb7aeeb2a207b62f55acf328411066a8e3

#18 - 2023-07-26 20:11 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

217827

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

AF:Launcher: deal home no UIAdd logic to refresh the ui when data loaded,and add log to analyze issue. TC-RID: 1201-0205305Issuel D:
TS-R-DF-111917,10VDEV-38446Change-1d: Iccc1b64e0f12a85fch805663a49272a73eaea7f3

#19 - 2023-07-27 19:48 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

218208

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:add widget text size adapter TC-RID: 1201-0205305Issuel D: TS-R-DF-111917,I0VDEV-37732Change-1d:
labe833bf77a3bd332a9957397¢13b8b3ef094c06(cherry picked from commit b76ecbc303d95b2dadb56a2f0a196ch80e223ee0)

#20 - 2023-07-27 19:49 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

218213

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

Revert AF:Launcher:add widget text size adapterTC-RID: 1201-0205305IssuelD: TS-R-DF-111917,10VDEV-37732This reverts commit
b76ecbc303d95h2dadh56a2f0a196ch80e223ee0.Reason for revert: <vcl ui adapter error>Change-Id: 17827a2eb7aeeb2a207h62f55acf328411066a8e3(cherry picked
from commit 725ec03572b3a6eddece463acf14512dcc472d4b)

2025-07-04




#21 - 2023-07-27 19:50 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

218212

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:add widget text size adapterTC-RID: 1201-0205305IssuelD: TS-R-DF-111917,I0VDEV-37732Change-1d:
1a656316ce6f37bb3b4alae9d4fobfd21961b2287(cherry picked from commit 8e65f988b108c50752933f72e55f5280562b527)

#22 - 2023-07-27 23:44 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

218242

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: deal home no UIAdd logic to refresh the ui when data loaded,and add log to analyze issue. TC-RID: 1201-0205305Issuel D:
TS-R-DF-111917,I0VDEV-38446Change-1d: Iccc1b64e0f12a85fch805663a49272a73eaea7f3(cherry picked from commit
dbf730c3bf1bf3f1002a84f4d522ac8dfced8afd)

2025-07-04

6/6




